#define MODEL_VERTEX_COUNT 18
const S3L_Unit modelVertices[MODEL_VERTEX_COUNT * 3] = {
    512,  -512,   512,        // 0
    512,  -512,  -512,        // 3
   -363,  1210,   361,        // 6
   -512,  -512,   512,        // 9
   -271,   966,   271,        // 12
   -512,  -512,  -512,        // 15
    143,   512,   143,        // 18
    512,   143,   512,        // 21
    143,   512,  -143,        // 24
    600,   161,  -600,        // 27
   -143,   512,   143,        // 30
   -596,   161,   596,        // 33
   -143,   512,  -143,        // 36
   -512,   143,  -512,        // 39
   -143,  1223,  -143,        // 42
   -143,  1223,   143,        // 45
    143,  1223,  -143,        // 48
    143,  1223,   143         // 51
}; // modelVertices

#define MODEL_TRIANGLE_COUNT 28
const S3L_Index modelTriangleIndices[MODEL_TRIANGLE_COUNT * 3] = {
      1,    13,     5,        // 0
     13,     3,     5,        // 3
      0,     5,     3,        // 6
     12,    15,    10,        // 9
      7,     1,     0,        // 12
      8,    13,     9,        // 15
      8,     7,     6,        // 18
     10,    13,    12,        // 21
     10,     7,    11,        // 24
      3,     7,     0,        // 27
      6,    16,     8,        // 30
      8,    14,    12,        // 33
     10,    17,     6,        // 36
     16,    15,    14,        // 39
      1,     9,    13,        // 42
     13,    11,     3,        // 45
      0,     1,     5,        // 48
     12,    14,    15,        // 51
      7,     9,     1,        // 54
      8,    12,    13,        // 57
      8,     9,     7,        // 60
     10,    11,    13,        // 63
     10,     6,     7,        // 66
      3,    11,     7,        // 69
      6,    17,    16,        // 72
      8,    16,    14,        // 75
     10,    15,    17,        // 78
     16,    17,    15         // 81
}; // modelTriangleIndices

#define MODEL_UV_COUNT 24
const S3L_Unit modelUVs[MODEL_UV_COUNT * 2] = {
    192,   256,         // 0
    192,   128,         // 2
     64,   256,         // 4
    192,   384,         // 6
    192,     0,         // 8
    192,   512,         // 10
     64,   128,         // 12
    366,   209,         // 14
    320,   256,         // 16
    273,   256,         // 18
    366,   174,         // 20
    320,   128,         // 22
    273,   128,         // 24
    401,   209,         // 26
    448,   256,         // 28
    273,   384,         // 30
    401,   174,         // 32
    273,     0,         // 34
    273,   512,         // 36
    448,   128,         // 38
    401,   174,         // 40
    401,   209,         // 42
    366,   174,         // 44
    366,   209          // 46
}; // modelUVs

#define MODEL_UV_INDEX_COUNT 28
const S3L_Index modelUVIndices[MODEL_UV_INDEX_COUNT * 3] = {
      1,    17,     4,        // 0
     18,     3,     5,        // 3
      0,     6,     2,        // 6
     16,    21,    13,        // 9
      9,     1,     0,        // 12
     10,    19,    11,        // 15
     10,     9,     7,        // 18
     13,    19,    16,        // 21
     13,     8,    14,        // 24
      3,     9,     0,        // 27
      7,    22,    10,        // 30
     10,    20,    16,        // 33
     13,    23,     7,        // 36
     22,    21,    20,        // 39
      1,    12,    17,        // 42
     18,    15,     3,        // 45
      0,     1,     6,        // 48
     16,    20,    21,        // 51
      9,    12,     1,        // 54
     10,    16,    19,        // 57
     10,    12,     9,        // 60
     13,    14,    19,        // 63
     13,     7,     8,        // 66
      3,    15,     9,        // 69
      7,    23,    22,        // 72
     10,    22,    20,        // 75
     13,    21,    23,        // 78
     22,    23,    21         // 81
}; // modelUVIndices

S3L_Model3D modelModel;

void modelModelInit()
{
  S3L_model3DInit(
    modelVertices,
    MODEL_VERTEX_COUNT,
    modelTriangleIndices,
    MODEL_TRIANGLE_COUNT,
    &modelModel);
}
